Package org.jfree.layouting.input.style.parser

## Class FixNamespaceSelectorFactory

- java.lang.Object
- - org.jfree.layouting.input.style.parser.FixNamespaceSelectorFactory

- All Implemented Interfaces:
    `org.w3c.css.sac.SelectorFactory`

      public class FixNamespaceSelectorFactory
      extends java.lang.Object
      implements org.w3c.css.sac.SelectorFactory

  Creation-Date: 23.04.2006, 15:06:07
  Author:
    Thomas Morgner

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FixNamespaceSelectorFactory​(org.w3c.css.sac.SelectorFactory parent)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.w3c.css.sac.SimpleSelector` | `createAnyNodeSelector​()` |
    `org.w3c.css.sac.CharacterDataSelector` | `createCDataSectionSelector​(java.lang.String data)` |
    `org.w3c.css.sac.DescendantSelector` | `createChildSelector​(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector child)` |
    `org.w3c.css.sac.CharacterDataSelector` | `createCommentSelector​(java.lang.String data)` |
    `org.w3c.css.sac.ConditionalSelector` | `createConditionalSelector​(org.w3c.css.sac.SimpleSelector selector, org.w3c.css.sac.Condition condition)` |
    `org.w3c.css.sac.DescendantSelector` | `createDescendantSelector​(org.w3c.css.sac.Selector parent, org.w3c.css.sac.SimpleSelector descendant)` |
    `org.w3c.css.sac.SiblingSelector` | `createDirectAdjacentSelector​(short nodeType, org.w3c.css.sac.Selector child, org.w3c.css.sac.SimpleSelector directAdjacent)` |
    `org.w3c.css.sac.ElementSelector` | `createElementSelector​(java.lang.String namespaceURI, java.lang.String tagName)` |
    `org.w3c.css.sac.NegativeSelector` | `createNegativeSelector​(org.w3c.css.sac.SimpleSelector selector)` |
    `org.w3c.css.sac.ProcessingInstructionSelector` | `createProcessingInstructionSelector​(java.lang.String target, java.lang.String data)` |
    `org.w3c.css.sac.ElementSelector` | `createPseudoElementSelector​(java.lang.String namespaceURI, java.lang.String pseudoName)` |
    `org.w3c.css.sac.SimpleSelector` | `createRootNodeSelector​()` |
    `org.w3c.css.sac.CharacterDataSelector` | `createTextNodeSelector​(java.lang.String data)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FixNamespaceSelectorFactory

          public FixNamespaceSelectorFactory​(org.w3c.css.sac.SelectorFactory parent)

  - ### Method Detail

    - #### createConditionalSelector

          public org.w3c.css.sac.ConditionalSelector createConditionalSelector​(org.w3c.css.sac.SimpleSelector selector,
                                                                               org.w3c.css.sac.Condition condition)
                                                                        throws org.w3c.css.sac.CSSException

      Specified by:
        `createConditionalSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createAnyNodeSelector

          public org.w3c.css.sac.SimpleSelector createAnyNodeSelector​()
                                                               throws org.w3c.css.sac.CSSException

      Specified by:
        `createAnyNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createRootNodeSelector

          public org.w3c.css.sac.SimpleSelector createRootNodeSelector​()
                                                                throws org.w3c.css.sac.CSSException

      Specified by:
        `createRootNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createNegativeSelector

          public org.w3c.css.sac.NegativeSelector createNegativeSelector​(org.w3c.css.sac.SimpleSelector selector)
                                                                  throws org.w3c.css.sac.CSSException

      Specified by:
        `createNegativeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createElementSelector

          public org.w3c.css.sac.ElementSelector createElementSelector​(java.lang.String namespaceURI,
                                                                       java.lang.String tagName)
                                                                throws org.w3c.css.sac.CSSException

      Specified by:
        `createElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createTextNodeSelector

          public org.w3c.css.sac.CharacterDataSelector createTextNodeSelector​(java.lang.String data)
                                                                       throws org.w3c.css.sac.CSSException

      Specified by:
        `createTextNodeSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createCDataSectionSelector

          public org.w3c.css.sac.CharacterDataSelector createCDataSectionSelector​(java.lang.String data)
                                                                           throws org.w3c.css.sac.CSSException

      Specified by:
        `createCDataSectionSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createProcessingInstructionSelector

          public org.w3c.css.sac.ProcessingInstructionSelector createProcessingInstructionSelector​(java.lang.String target,
                                                                                                   java.lang.String data)
                                                                                            throws org.w3c.css.sac.CSSException

      Specified by:
        `createProcessingInstructionSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createCommentSelector

          public org.w3c.css.sac.CharacterDataSelector createCommentSelector​(java.lang.String data)
                                                                      throws org.w3c.css.sac.CSSException

      Specified by:
        `createCommentSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createPseudoElementSelector

          public org.w3c.css.sac.ElementSelector createPseudoElementSelector​(java.lang.String namespaceURI,
                                                                             java.lang.String pseudoName)
                                                                      throws org.w3c.css.sac.CSSException

      Specified by:
        `createPseudoElementSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createDescendantSelector

          public org.w3c.css.sac.DescendantSelector createDescendantSelector​(org.w3c.css.sac.Selector parent,
                                                                             org.w3c.css.sac.SimpleSelector descendant)
                                                                      throws org.w3c.css.sac.CSSException

      Specified by:
        `createDescendantSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createChildSelector

          public org.w3c.css.sac.DescendantSelector createChildSelector​(org.w3c.css.sac.Selector parent,
                                                                        org.w3c.css.sac.SimpleSelector child)
                                                                 throws org.w3c.css.sac.CSSException

      Specified by:
        `createChildSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`

    - #### createDirectAdjacentSelector

          public org.w3c.css.sac.SiblingSelector createDirectAdjacentSelector​(short nodeType,
                                                                              org.w3c.css.sac.Selector child,
                                                                              org.w3c.css.sac.SimpleSelector directAdjacent)
                                                                       throws org.w3c.css.sac.CSSException

      Specified by:
        `createDirectAdjacentSelector` in interface `org.w3c.css.sac.SelectorFactory`
      Throws:
        `org.w3c.css.sac.CSSException`